package com.sw.mes.yb.production.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.yb.production.entity.ProcessWorkingStep;
import com.sw.mes.yb.production.dao.ProcessWorkingStepDao;
import com.sw.mes.yb.production.service.ProcessWorkingStepService;

import java.util.List;


/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Service
@Transactional
public class ProcessWorkingStepServiceImpl extends BaseServiceImpl<ProcessWorkingStep> implements ProcessWorkingStepService {
    ProcessWorkingStepDao dao;

	@Autowired
    public void setDao(ProcessWorkingStepDao dao) {
        super.setBaseDao(dao);
        this.dao = dao;
    }

    @Override
    public List<ProcessWorkingStep> getEveryStepNumber(String area, String startTime, String endTime) {

        List<ProcessWorkingStep> processWorkingStepList = dao.getEveryStepNumber(area, startTime, endTime);

        return processWorkingStepList;
    }

    @Override
    public List<String> getEveryStepNumberGroupByLotNo(String area) {

        List<String> processWorkingStepList = dao.getEveryStepNumberGroupByLotNo(area);

        return processWorkingStepList;
    }

    @Override
    public List<ProcessWorkingStep> getEveryStepNumberByLotNo(List<String> lotNoList) {

        List<ProcessWorkingStep> processWorkingStepList = dao.getEveryStepNumberByLotNo(lotNoList);

        return processWorkingStepList;
    }
}
